<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('sales_import_items', function (Blueprint $table) {
            $table->string('slot')->nullable()->after('machine_id')->comment('貨道');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('sales_import_items', function (Blueprint $table) {
            $table->dropColumn('slot');
        });
    }
};
